Make(_base)
ver(5.0.3)
Add(hcTplForm,1,273,154)
{
 Left=20
 Top=105
 Visible=1
 Modal=0
}
Add(hcHiAsmTrasmitter,2,189,147)
{
 link(onInit,11:doEvent1,[])
 link(Arg1,5:Picture,[])
}
Add(hcTplButton,3,42,21)
{
 Left=10
 Top=5
 Width=50
 Height=50
 Caption="Open"
 StockID="gtk-open"
 Position=2
 link(onClick,6:doExecute,[(89,27)(89,97)])
}
Add(hcTplButton,4,105,21)
{
 Left=60
 Top=5
 Width=50
 Height=50
 Caption="Save"
 StockID="gtk-save-as"
 Position=2
}
Add(hcTplImage,5,189,91)
{
 Left=10
 Top=60
 Width=300
 Height=270
 Point(doLoadFromImage)
}
Add(hcOpenDialog,6,105,91)
{
 link(onExecute,8:doWork2,[])
}
Add(hcTplButton,7,189,21)
{
 Left=110
 Top=5
 Width=50
 Height=50
 Caption="Clear"
 StockID="gtk-clear"
 Position=2
 link(onClick,8:doWork1,[(228,27)(228,60)(158,60)])
}
Add(HubEx,8,154,91)
{
 link(onEvent,5:doLoadFromFile,[])
}
Add(hcTplButton,9,105,147)
{
 Left=165
 Top=5
 Width=50
 Height=50
 Caption="OK"
 StockID="gtk-ok"
 Position=2
 link(onClick,10:doEvent1,[])
}
Add(hcHub,10,154,147)
{
 link(onEvent1,2:doReturn,[])
 link(onEvent2,1:doClose,[(178,160)(178,167)])
}
Add(hcHub,11,238,147)
{
 link(onEvent1,5:doLoadFromImage,[(266,153)(266,129)(175,129)(175,104)])
 link(onEvent2,1:doShow,[])
}
